"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.nxCloudTasksRunnerShell = void 0;
const nx_cloud_tasks_runner_1 = require("../nx-cloud-tasks-runner");
const debug_logger_1 = require("./debug-logger");
const resolution_helpers_1 = require("./resolution-helpers");
const update_manager_1 = require("./update-manager");
const nxCloudTasksRunnerShell = (tasks, options, context = {}) => __awaiter(void 0, void 0, void 0, function* () {
    if (options.useLightClient !== false) {
        (0, debug_logger_1.debugLog)('Using light client');
        const cloudBundleInstall = yield (0, update_manager_1.verifyOrUpdateCloudBundle)(options);
        if (cloudBundleInstall === null) {
            // Disable cloud entirely if unable to download light client
            if (context.nxArgs) {
                context.nxArgs.cloud = false;
            }
            else {
                context.nxArgs = { cloud: false };
            }
            return (0, nx_cloud_tasks_runner_1.default)(tasks, options, context);
        }
        if (cloudBundleInstall.version === 'NX_ENTERPRISE_OUTDATED_IMAGE') {
            return (0, nx_cloud_tasks_runner_1.default)(tasks, options, context);
        }
        (0, debug_logger_1.debugLog)('Using bundle path: ', cloudBundleInstall);
        options.clientVersion = cloudBundleInstall.version;
        const lightClient = require(cloudBundleInstall.fullPath);
        const paths = (0, resolution_helpers_1.findAncestorNodeModules)(__dirname, []);
        lightClient.configureLightClientRequire()(paths);
        return lightClient.nxCloudTasksRunner(tasks, options, context);
    }
    else {
        return (0, nx_cloud_tasks_runner_1.default)(tasks, options, context);
    }
});
exports.nxCloudTasksRunnerShell = nxCloudTasksRunnerShell;
//# sourceMappingURL=nx-cloud-tasks-runner-shell.js.map