"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isConnectedToPrivateCloud = void 0;
const get_cloud_options_1 = require("./get-cloud-options");
function isConnectedToPrivateCloud() {
    const { nxCloudOptions } = (0, get_cloud_options_1.getCloudOptions)();
    if (!nxCloudOptions.url)
        return false;
    if (nxCloudOptions.useLatestApi)
        return false;
    if (nxCloudOptions.url.endsWith('snapshot.nx.app'))
        return true;
    if (nxCloudOptions.url.endsWith('.nx.app'))
        return false;
    if (nxCloudOptions.url.indexOf('localhost') > -1)
        return false;
    return true;
}
exports.isConnectedToPrivateCloud = isConnectedToPrivateCloud;
//# sourceMappingURL=is-private-cloud.js.map